import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  fileId: z.number().int(),
  seq: z.number().int(),
  data: z.instanceof(Uint8Array),
  createdAt: z.coerce.date().optional()
}).strict();
export const CloudFileChunkCreateManyInputObjectSchema: z.ZodType<Prisma.CloudFileChunkCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkCreateManyInput>;
export const CloudFileChunkCreateManyInputObjectZodSchema = makeSchema();
